//---------------------------------------------------------------------------
#ifndef Oren_CapitalizeDialogH
#define Oren_CapitalizeDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_capitalizedialog {
//---------------------------------------------------------------------------
struct TOrenCapitalizeDialogValues
{
	TNamePart Part;
	TCharCase Case;
};
//---------------------------------------------------------------------------
} // End namespace Oren_capitalizedialog
using namespace Oren_capitalizedialog;
//---------------------------------------------------------------------------
class TOrenCapitalizeDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TComboBox* ComboBox11;
	TComboBox* ComboBox12;
	TLabel* Label11;
	TLabel* Label12;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
public:
	typedef TOrenCapitalizeDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenCapitalizeDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenCapitalizeDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenCapitalizeDialog* OrenCapitalizeDialog;
//---------------------------------------------------------------------------
#endif

