//---------------------------------------------------------------------------
#ifndef Oren_InsertDialogH
#define Oren_InsertDialogH
//---------------------------------------------------------------------------
// Version: 2.1.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_insertdialog {
//---------------------------------------------------------------------------
struct TOrenInsertDialogValues
{
	TNamePart Part;
	TInsertPosition Position;
	TTextSrcSpecs Text;
};
//---------------------------------------------------------------------------
} // End namespace Oren_insertdialog
using namespace Oren_insertdialog;
//---------------------------------------------------------------------------
class TOrenInsertDialog : public TForm
{
__published:
	TButton* Button11;
	TButton* Button91;
	TButton* Button92;
	TComboBox* ComboBox11;
	TComboBox* ComboBox12;
	TEdit* Edit11;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TRadioButton* RadioButton11;
	TRadioButton* RadioButton13;
	TRadioButton* RadioButton12;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall Button11Click(TObject* ASender);
	void __fastcall ComboBox11Click(TObject* ASender);
	void __fastcall ComboBox12Click(TObject* ASender);
	void __fastcall Edit11Change(TObject* ASender);
	void __fastcall RadioButton11Click(TObject* ASender);
	void __fastcall RadioButton12Click(TObject* ASender);
	void __fastcall RadioButton13Click(TObject* ASender);
public:
	typedef TOrenInsertDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenInsertDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenInsertDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenInsertDialog* OrenInsertDialog;
//---------------------------------------------------------------------------
#endif

