//---------------------------------------------------------------------------
#ifndef Moochos_oncerenamer_mainformH
#define Moochos_oncerenamer_mainformH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "Moa_Clipboard.h"
#include "Moa_IniFile.h"
#include "Oren_EditHandler.h"
#include "Oren_FileHandler.h"
#include "Oren_HelpHandler.h"
#include "Oren_NameHandler.h"
#include "Oren_RenameHandler.h"
#include "Oren_ViewHandler.h"
//---------------------------------------------------------------------------
class TOrenMainForm : public TForm
{
__published:
	TAction* EditAddDirectoryAc;
	TAction* EditAddRegularFilesAc;
	TAction* EditCopyAc;
	TAction* EditCutAc;
	TAction* EditDeleteAc;
	TAction* EditDereferenceShortcutsAc;
	TAction* EditPasteAc;
	TAction* EditRedoAc;
	TAction* EditReverseSelectionAc;
	TAction* EditSelectAllAc;
	TAction* EditSelectByResultFailedAc;
	TAction* EditSelectByResultNoneAc;
	TAction* EditSelectByResultSkippedAc;
	TAction* EditSelectByResultSucceededAc;
	TAction* EditSelectByTypeDirectoryAc;
	TAction* EditSelectByTypeFileAc;
	TAction* EditUndoAc;
	TAction* FileExitAc;
	TAction* FileNewAc;
	TAction* HelpAboutAc;
	TAction* HelpContentsAc;
	TAction* NameCapitalizeAc;
	TAction* NameCopyAc;
	TAction* NameEnterAc;
	TAction* NameFreeEditAc;
	TAction* NameInsertAc;
	TAction* NameOverwriteAc;
	TAction* NameReplaceAc;
	TAction* NameUrlDecodeAc;
	TAction* NameUrlEncodeAc;
	TAction* RenamePerformAc;
	TAction* RenameRestoreAc;
	TAction* RenameResultsAc;
	TAction* ViewInvertAc;
	TAction* ViewMoveDownAc;
	TAction* ViewMoveUpAc;
	TAction* ViewRememberPlacementAc;
	TAction* ViewSortByDirectoryAc;
	TAction* ViewSortByNewNameAc;
	TAction* ViewSortByOldNameAc;
	TAction* ViewSortByResultAc;
	TAction* ViewSortByTypeAc;
	TAction* ViewStatusBarAc;
	TAction* ViewToolbarAc;
	TActionList* ActionList1;
	TImageList* ImageList1;
	TImageList* ImageList2;
	TListView* ListView1;
	TMainMenu* MainMenu1;
	TMenuItem* MenuItem11;
	TMenuItem* MenuItem111;
	TMenuItem* MenuItem112;
	TMenuItem* MenuItem113;
	TMenuItem* MenuItem12;
	TMenuItem* MenuItem121;
	TMenuItem* MenuItem122;
	TMenuItem* MenuItem123;
	TMenuItem* MenuItem124;
	TMenuItem* MenuItem125;
	TMenuItem* MenuItem126;
	TMenuItem* MenuItem127;
	TMenuItem* MenuItem1271;
	TMenuItem* MenuItem1272;
	TMenuItem* MenuItem1273;
	TMenuItem* MenuItem1274;
	TMenuItem* MenuItem128;
	TMenuItem* MenuItem129;
	TMenuItem* MenuItem12A;
	TMenuItem* MenuItem12B;
	TMenuItem* MenuItem12B1;
	TMenuItem* MenuItem12B2;
	TMenuItem* MenuItem12C;
	TMenuItem* MenuItem12C1;
	TMenuItem* MenuItem12C2;
	TMenuItem* MenuItem12C3;
	TMenuItem* MenuItem12C4;
	TMenuItem* MenuItem12D;
	TMenuItem* MenuItem13;
	TMenuItem* MenuItem131;
	TMenuItem* MenuItem132;
	TMenuItem* MenuItem133;
	TMenuItem* MenuItem134;
	TMenuItem* MenuItem135;
	TMenuItem* MenuItem136;
	TMenuItem* MenuItem137;
	TMenuItem* MenuItem138;
	TMenuItem* MenuItem139;
	TMenuItem* MenuItem13A;
	TMenuItem* MenuItem13B;
	TMenuItem* MenuItem13C;
	TMenuItem* MenuItem14;
	TMenuItem* MenuItem141;
	TMenuItem* MenuItem142;
	TMenuItem* MenuItem143;
	TMenuItem* MenuItem144;
	TMenuItem* MenuItem145;
	TMenuItem* MenuItem1451;
	TMenuItem* MenuItem1452;
	TMenuItem* MenuItem1453;
	TMenuItem* MenuItem1454;
	TMenuItem* MenuItem1455;
	TMenuItem* MenuItem146;
	TMenuItem* MenuItem147;
	TMenuItem* MenuItem148;
	TMenuItem* MenuItem149;
	TMenuItem* MenuItem15;
	TMenuItem* MenuItem151;
	TMenuItem* MenuItem152;
	TMenuItem* MenuItem153;
	TMenuItem* MenuItem154;
	TMenuItem* MenuItem16;
	TMenuItem* MenuItem161;
	TMenuItem* MenuItem162;
	TMenuItem* MenuItem163;
	TMenuItem* MenuItem21;
	TMenuItem* MenuItem22;
	TMenuItem* MenuItem23;
	TMenuItem* MenuItem24;
	TMenuItem* MenuItem25;
	TMenuItem* MenuItem26;
	TMenuItem* MenuItem27;
	TMenuItem* MenuItem271;
	TMenuItem* MenuItem272;
	TMenuItem* MenuItem273;
	TMenuItem* MenuItem274;
	TMenuItem* MenuItem28;
	TMenuItem* MenuItem29;
	TMenuItem* MenuItem2A;
	TMenuItem* MenuItem2B;
	TMenuItem* MenuItem2B1;
	TMenuItem* MenuItem2B2;
	TMenuItem* MenuItem2C;
	TMenuItem* MenuItem2C1;
	TMenuItem* MenuItem2C2;
	TMenuItem* MenuItem2C3;
	TMenuItem* MenuItem2C4;
	TMenuItem* MenuItem2D;
	TPanel* Panel1;
	TPopupMenu* PopupMenu1;
	TStatusBar* StatusBar1;
	TToolBar* ToolBar1;
	TToolButton* ToolButton11;
	TToolButton* ToolButton12;
	TToolButton* ToolButton13;
	TToolButton* ToolButton14;
	TToolButton* ToolButton15;
	TToolButton* ToolButton16;
	TToolButton* ToolButton17;
	TToolButton* ToolButton18;
	TToolButton* ToolButton19;
	TToolButton* ToolButton1A;
	TToolButton* ToolButton1B;
	TToolButton* ToolButton1C;
	TToolButton* ToolButton1D;
	TToolButton* ToolButton1E;
	TToolButton* ToolButton1F;
	TToolButton* ToolButton1G;
	TToolButton* ToolButton1H;
	TToolButton* ToolButton1I;
	TToolButton* ToolButton1J;
	TToolButton* ToolButton1K;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall ActionList1Update(TBasicAction* AAction, bool& AHandled);
	void __fastcall FileNewAcExecute(TObject* ASender);
	void __fastcall FileExitAcExecute(TObject* ASender);
	void __fastcall EditUndoAcExecute(TObject* ASender);
	void __fastcall EditRedoAcExecute(TObject* ASender);
	void __fastcall EditCutAcExecute(TObject* ASender);
	void __fastcall EditCopyAcExecute(TObject* ASender);
	void __fastcall EditPasteAcExecute(TObject* ASender);
	void __fastcall EditAddDirectoryAcExecute(TObject* ASender);
	void __fastcall EditAddRegularFilesAcExecute(TObject* ASender);
	void __fastcall EditDereferenceShortcutsAcExecute(TObject* ASender);
	void __fastcall EditDeleteAcExecute(TObject* ASender);
	void __fastcall EditSelectAllAcExecute(TObject* ASender);
	void __fastcall EditSelectByTypeDirectoryAcExecute(TObject* ASender);
	void __fastcall EditSelectByTypeFileAcExecute(TObject* ASender);
	void __fastcall EditSelectByResultSucceededAcExecute(TObject* ASender);
	void __fastcall EditSelectByResultFailedAcExecute(TObject* ASender);
	void __fastcall EditSelectByResultSkippedAcExecute(TObject* ASender);
	void __fastcall EditSelectByResultNoneAcExecute(TObject* ASender);
	void __fastcall EditReverseSelectionAcExecute(TObject* ASender);
	void __fastcall NameCopyAcExecute(TObject* ASender);
	void __fastcall NameInsertAcExecute(TObject* ASender);
	void __fastcall NameOverwriteAcExecute(TObject* ASender);
	void __fastcall NameReplaceAcExecute(TObject* ASender);
	void __fastcall NameCapitalizeAcExecute(TObject* ASender);
	void __fastcall NameUrlEncodeAcExecute(TObject* ASender);
	void __fastcall NameUrlDecodeAcExecute(TObject* ASender);
	void __fastcall NameFreeEditAcExecute(TObject* ASender);
	void __fastcall NameEnterAcExecute(TObject* ASender);
	void __fastcall ViewToolbarAcExecute(TObject* ASender);
	void __fastcall ViewStatusBarAcExecute(TObject* ASender);
	void __fastcall ViewRememberPlacementAcExecute(TObject* ASender);
	void __fastcall ViewSortByNewNameAcExecute(TObject* ASender);
	void __fastcall ViewSortByOldNameAcExecute(TObject* ASender);
	void __fastcall ViewSortByDirectoryAcExecute(TObject* ASender);
	void __fastcall ViewSortByTypeAcExecute(TObject* ASender);
	void __fastcall ViewSortByResultAcExecute(TObject* ASender);
	void __fastcall ViewInvertAcExecute(TObject* ASender);
	void __fastcall ViewMoveUpAcExecute(TObject* ASender);
	void __fastcall ViewMoveDownAcExecute(TObject* ASender);
	void __fastcall RenamePerformAcExecute(TObject* ASender);
	void __fastcall RenameRestoreAcExecute(TObject* ASender);
	void __fastcall RenameResultsAcExecute(TObject* ASender);
	void __fastcall HelpContentsAcExecute(TObject* ASender);
	void __fastcall HelpAboutAcExecute(TObject* ASender);
	void __fastcall ListView1Change(TObject* ASender, TListItem* AItem, TItemChange AChange);
	void __fastcall ListView1ColumnClick(TObject* ASender, TListColumn* AColumn);
	void __fastcall ListView1Data(TObject* ASender, TListItem* AItem);
	void __fastcall ListView1Edited(TObject* ASender, TListItem* AItem, AnsiString& AS);
private:
	static const AnsiString SettingsFile;
	static const AnsiString iniCurrentDirectory;
	static const AnsiString iniEditHandler;
	static const AnsiString iniFileHandler;
	static const AnsiString iniHelpHandler;
	static const AnsiString iniMainForm;
	static const AnsiString iniNameHandler;
	static const AnsiString iniRenameHandler;
	static const AnsiString iniSystem;
	static const AnsiString iniViewHandler;
	TListViewModel* FControl;
	TInvoker* FInvoker;
	TObjectList* FItems;
	TFileHandler* FFileHandler;
	TEditHandler* FEditHandler;
	TNameHandler* FNameHandler;
	TViewHandler* FViewHandler;
	TRenameHandler* FRenameHandler;
	THelpHandler* FHelpHandler;
	TClipboardWatcher* FClipboardWatcher;
	int FActionCount;
	bool FModified;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall LoadSettings();
	void __fastcall SaveSettings();
	void __fastcall HandleParams();
	void __fastcall UpdateAccess();
	void __fastcall BeginAction();
	void __fastcall EndAction();
	void __fastcall ApplicationIdle(TObject* ASender, bool& ADone);
	void __fastcall ClipboardWatcherChange(TObject* ASender);
	void __fastcall WMDropFiles(TMessage& AMessage);
	AnsiString __fastcall GetStatus();
	void __fastcall SetStatus(const AnsiString& AStatus);
	__property TListViewModel* Control = {read=FControl};
	__property TInvoker* Invoker = {read=FInvoker};
	__property TObjectList* Items = {read=FItems};
	__property TFileHandler* FileHandler = {read=FFileHandler};
	__property TEditHandler* EditHandler = {read=FEditHandler};
	__property TNameHandler* NameHandler = {read=FNameHandler};
	__property TViewHandler* ViewHandler = {read=FViewHandler};
	__property TRenameHandler* RenameHandler = {read=FRenameHandler};
	__property THelpHandler* HelpHandler = {read=FHelpHandler};
	__property TClipboardWatcher* ClipboardWatcher = {read=FClipboardWatcher};
	__property int ActionCount = {read=FActionCount};
	__property bool Modified = {read=FModified, write=FModified};
protected:
public:
	__fastcall TOrenMainForm(TComponent* AOwner);
	virtual __fastcall ~TOrenMainForm();
	DYNAMIC bool __fastcall IsShortCut(TWMKey& AMessage);
	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_DROPFILES, TMessage, WMDropFiles)
	END_MESSAGE_MAP(TForm)
	__property AnsiString Status = {read=GetStatus, write=SetStatus};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenMainForm* OrenMainForm;
//---------------------------------------------------------------------------
#endif

