//---------------------------------------------------------------------------
#ifndef Oren_OverwriteDialogH
#define Oren_OverwriteDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_overwritedialog {
//---------------------------------------------------------------------------
struct TOrenOverwriteDialogValues
{
	TNamePart Part;
	TTextSrcSpecs Text;
};
//---------------------------------------------------------------------------
} // End namespace Oren_overwritedialog
using namespace Oren_overwritedialog;
//---------------------------------------------------------------------------
class TOrenOverwriteDialog : public TForm
{
__published:
	TButton* Button11;
	TButton* Button91;
	TButton* Button92;
	TComboBox* ComboBox11;
	TEdit* Edit11;
	TLabel* Label11;
	TLabel* Label12;
	TRadioButton* RadioButton11;
	TRadioButton* RadioButton12;
	TRadioButton* RadioButton13;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall Button11Click(TObject* ASender);
	void __fastcall ComboBox11Click(TObject* ASender);
	void __fastcall Edit11Change(TObject* ASender);
	void __fastcall RadioButton11Click(TObject* ASender);
	void __fastcall RadioButton12Click(TObject* ASender);
	void __fastcall RadioButton13Click(TObject* ASender);
public:
	typedef TOrenOverwriteDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenOverwriteDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenOverwriteDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenOverwriteDialog* OrenOverwriteDialog;
//---------------------------------------------------------------------------
#endif

