//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Oren_ProgressDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TOrenProgressDialog* OrenProgressDialog = NULL;
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::CommandButtonClick(TObject* ASender)
{
	CloseDialog();
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::WMExecute(TMessage& AMessage)
{
	DoExecute();
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::DoShow()
{
	ActiveControl = NULL;
	SelectFirst();
	TForm::DoShow();
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::DoExecute()
{
	if(OnExecute != NULL) {
		OnExecute(this);
	}
}
//---------------------------------------------------------------------------
AnsiString __fastcall TOrenProgressDialog::GetMessage()
{
	return MessageLabel->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::SetMessage(const AnsiString& AMessage)
{
	MessageLabel->Caption = AMessage;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TOrenProgressDialog::GetCommand()
{
	return CommandButton->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::SetCommand(const AnsiString& ACommand)
{
	CommandButton->Caption = ACommand;
}
//---------------------------------------------------------------------------
int __fastcall TOrenProgressDialog::GetProgress()
{
	return ProgressBar->Position;
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::SetProgress(int AProgress)
{
	ProgressBar->Position = AProgress;
}
//---------------------------------------------------------------------------
__fastcall TOrenProgressDialog::TOrenProgressDialog(TComponent* AOwner) :
	TForm(AOwner),
	FModal(false),
	FOnExecute(NULL)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TOrenProgressDialog::~TOrenProgressDialog()
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::Execute(bool AModal)
{
	::PostMessage(Handle, WM_EXECUTE, 0, 0);
	FModal = AModal;
	if(Modal) {
		ShowModal();
	}
	else {
		Show();
	}
}
//---------------------------------------------------------------------------
void __fastcall TOrenProgressDialog::CloseDialog()
{
	if(Modal) {
		ModalResult = mrOk;
	}
	else {
		Close();
	}
}
//---------------------------------------------------------------------------

