//---------------------------------------------------------------------------
#ifndef Oren_ReplaceDialogH
#define Oren_ReplaceDialogH
//---------------------------------------------------------------------------
// Version: 2.1.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_replacedialog {
//---------------------------------------------------------------------------
struct TOrenReplaceDialogValues
{
	TNamePart Part;
	AnsiString OldText;
	TTextSrcSpecs NewText;
	bool MatchCase;
};
//---------------------------------------------------------------------------
} // End namespace Oren_replacedialog
using namespace Oren_replacedialog;
//---------------------------------------------------------------------------
class TOrenReplaceDialog : public TForm
{
__published:
	TButton* Button11;
	TButton* Button91;
	TButton* Button92;
	TCheckBox* CheckBox11;
	TComboBox* ComboBox11;
	TEdit* Edit11;
	TEdit* Edit12;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TRadioButton* RadioButton11;
	TRadioButton* RadioButton12;
	TRadioButton* RadioButton13;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall Button11Click(TObject* ASender);
	void __fastcall Edit11Change(TObject* ASender);
	void __fastcall RadioButton11Click(TObject* ASender);
	void __fastcall RadioButton12Click(TObject* ASender);
	void __fastcall RadioButton13Click(TObject* ASender);
public:
	typedef TOrenReplaceDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenReplaceDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenReplaceDialog();
	virtual bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenReplaceDialog* OrenReplaceDialog;
//---------------------------------------------------------------------------
#endif

