//---------------------------------------------------------------------------
#ifndef Moa_TextH
#define Moa_TextH
//---------------------------------------------------------------------------
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
namespace Moa_text {
//---------------------------------------------------------------------------
class ETextError : public Exception
{
public:
	__fastcall ETextError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class TTextCapitalizer
{
private:
protected:
public:
	__fastcall TTextCapitalizer();
	virtual __fastcall ~TTextCapitalizer();
	virtual AnsiString __fastcall MakeLowerCase(const AnsiString& AText);
	virtual AnsiString __fastcall MakeUpperCase(const AnsiString& AText);
	virtual AnsiString __fastcall MakeBookTitle(const AnsiString& AText);
};
//---------------------------------------------------------------------------
} // End namespace Moa_text
using namespace Moa_text;
//---------------------------------------------------------------------------
#endif

