//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Oren_EditCommand.h"
#include "Oren_FileHandler.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace Oren_filehandler {
//---------------------------------------------------------------------------
__fastcall TFileHandler::TFileHandler(TListViewModel* AControl, TInvoker* AInvoker, TObjectList* AItems) :
	THandler(AControl, AInvoker, AItems)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TFileHandler::~TFileHandler()
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TFileHandler::New(bool AConfirm)
{
	if(!Invoker->CanUndo() && !Invoker->CanRedo() && Items->Count == 0) {
		return;
	}          
	if(AConfirm) {
		if(Application->MessageBox(
			"The program clears the history of edit and rename operations.",
			Application->Title.c_str(),
			MB_OKCANCEL | MB_ICONWARNING | MB_SETFOREGROUND) != IDOK) {
			Abort();
		}
	}
	Control->Update(false);
	Control->Clear();
	Control->UpdateControl(false);
	Invoker->UndoCommands->Clear();
	Invoker->RedoCommands->Clear();
	Items->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TFileHandler::LoadSettings(TMemIniFile* AFile, TIniSection* ASection)
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TFileHandler::SaveSettings(TMemIniFile* AFile, TIniSection* ASection)
{
	// Do nothing
}
//---------------------------------------------------------------------------
} // End namespace Oren_filehandler
//---------------------------------------------------------------------------

