//---------------------------------------------------------------------------
#ifndef Oren_HelpHandlerH
#define Oren_HelpHandlerH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include "Oren_Handler.h"
//---------------------------------------------------------------------------
namespace Oren_helphandler {
//---------------------------------------------------------------------------
class THelpHandler : public THandler
{
private:
	static const AnsiString HelpFile;
	static const AnsiString AboutDesc;
protected:
public:
	__fastcall THelpHandler(TListViewModel* AControl, TInvoker* AInvoker, TObjectList* AItems);
	virtual __fastcall ~THelpHandler();
	void __fastcall ShowContents();
	void __fastcall ShowAbout();
	virtual void __fastcall LoadSettings(TMemIniFile* AFile, TIniSection* ASection);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile, TIniSection* ASection);
};
//---------------------------------------------------------------------------
} // End namespace Oren_helphandler
using namespace Oren_helphandler;
//---------------------------------------------------------------------------
#endif

