//---------------------------------------------------------------------------
#ifndef Oren_NameHandlerH
#define Oren_NameHandlerH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include "Oren_Handler.h"
//---------------------------------------------------------------------------
namespace Oren_namehandler {
//---------------------------------------------------------------------------
class TNameHandler : public THandler
{
private:
protected:
public:
	__fastcall TNameHandler(TListViewModel* AControl, TInvoker* AInvoker, TObjectList* AItems);
	virtual __fastcall ~TNameHandler();
	void __fastcall Copy();
	void __fastcall Insert();
	void __fastcall Overwrite();
	void __fastcall Replace();
	void __fastcall Capitalize();
	void __fastcall UrlEncode();
	void __fastcall UrlDecode();
	void __fastcall FreeEdit();
	void __fastcall Enter(int AIndex, const AnsiString& AValue);
	virtual void __fastcall LoadSettings(TMemIniFile* AFile, TIniSection* ASection);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile, TIniSection* ASection);
};
//---------------------------------------------------------------------------
} // End namespace Oren_namehandler
using namespace Oren_namehandler;
//---------------------------------------------------------------------------
#endif

