//---------------------------------------------------------------------------
#ifndef Oren_PartDialogH
#define Oren_PartDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_PartDialog {
//---------------------------------------------------------------------------
struct TOrenPartDialogValues
{
	TNamePart Part;
};
//---------------------------------------------------------------------------
} // End namespace Oren_PartDialog
using namespace Oren_PartDialog;
//---------------------------------------------------------------------------
class TOrenPartDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TComboBox* ComboBox11;
	TLabel* Label11;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall ComboBox11Click(TObject* ASender);
	void __fastcall Edit11Change(TObject* ASender);
public:
	typedef TOrenPartDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenPartDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenPartDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenPartDialog* OrenPartDialog;
//---------------------------------------------------------------------------
#endif

