//---------------------------------------------------------------------------
#ifndef Oren_ResultsDialogH
#define Oren_ResultsDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <StdCtrls.hpp>
#include "Oren_Rename.h"
//---------------------------------------------------------------------------
namespace Oren_resultsdialog {
//---------------------------------------------------------------------------
class TResultsCounter : public TObject
{
private:
	int FSucceeded;
	int FFailed;
	int FSkipped;
	int FNone;
	int __fastcall GetTotal();
protected:
public:
	__fastcall TResultsCounter();
	virtual __fastcall ~TResultsCounter();
	void __fastcall Increment(TRenameResult AResult);
	void __fastcall Reset();
	__property int Succeeded = {read=FSucceeded, write=FSucceeded};
	__property int Failed = {read=FFailed, write=FFailed};
	__property int Skipped = {read=FSkipped, write=FSkipped};
	__property int None = {read=FNone, write=FNone};
	__property int Total = {read=GetTotal};
};
//---------------------------------------------------------------------------
} // End namespace Oren_resultsdialog
using namespace Oren_resultsdialog;
//---------------------------------------------------------------------------
class TOrenResultsDialog : public TForm
{
__published:
	TButton* Button91;
	TGroupBox* GroupBox91;
	TImage* Image11;
	TImage* Image12;
	TImage* Image13;
	TImage* Image14;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TLabel* Label14;
	TLabel* Label15;
	TLabel* Label16;
	TLabel* Label17;
	TLabel* Label18;
	TLabel* Label19;
	TLabel* Label1A;
	void __fastcall FormShow(TObject* ASender);
private:
	TResultsCounter* FCounter;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
protected:
public:
	virtual __fastcall TOrenResultsDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenResultsDialog();
	void __fastcall Execute();
	__property TResultsCounter* Counter = {read=FCounter};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenResultsDialog* OrenResultsDialog;
//---------------------------------------------------------------------------
#endif

